/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "CAM-PDU-Descriptions"
 * 	found in "CAM.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_BasicVehicleContainerLowFrequency_H_
#define	_BasicVehicleContainerLowFrequency_H_


#include <asn_application.h>

/* Including external dependencies */
#include "VehicleRole.h"
#include "ExteriorLights.h"
#include "PathHistory.h"
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* BasicVehicleContainerLowFrequency */
typedef struct BasicVehicleContainerLowFrequency {
	VehicleRole_t	 vehicleRole;
	ExteriorLights_t	 exteriorLights;
	PathHistory_t	 pathHistory;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} BasicVehicleContainerLowFrequency_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_BasicVehicleContainerLowFrequency;

#ifdef __cplusplus
}
#endif

#endif	/* _BasicVehicleContainerLowFrequency_H_ */
#include <asn_internal.h>
